import bpy
import os



#\Library\Assets_Browser\LIB
# Lib_path = '../Library/Assets_Browser/LIB'
#獲取當前文件的絕對路徑
Lib_path = os.path.abspath(__file__)
#往前找../Library/Assets_Browser/LIB
Lib_path = os.path.join(os.path.dirname(Lib_path), '../Library/Assets_Browser/LIB')



absolute_path = os.path.abspath(Lib_path)
Lib_name = "NodeFX Library"

def setup_func():
    # 获取当前所有资产库

    asset_libraries = bpy.context.preferences.filepaths.asset_libraries

    # 显示所有资产库及其路径
    for lib in asset_libraries:
        print(f"Library Name: {lib.name}, Path: {lib.path}")

    # 假设你要修改第一个资产库的名称和路径

    if asset_libraries:
        lib_list = []
        for Libs in asset_libraries:
            lib_list.append(Libs.name)
        if Lib_name not in lib_list:
            bpy.ops.preferences.asset_library_add()
            asset_libraries[len(asset_libraries)-1].name = Lib_name
            asset_libraries[len(asset_libraries)-1].path = absolute_path
        else:
            print(f"Library Name: {Lib_name} already exists")



class NF_OT_Library_Setup(bpy.types.Operator):
    bl_idname = "frosty_ice_tools_library.setup"
    bl_label = "Setup Frosty Ice Tools Library"
    
    def execute(self, context):
        setup_func()
        return {'FINISHED'}